QGIS Application - Bug report #15728
line pattern fill symbology throws gpainter warnings when line space in map unit and canvas scaled

out

2016-10-19 10:15 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Normal

Assignee: Mathieu Pellerin - nIRV

Category: Symbology

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 23650

Description

When the line pattern fill symbology uses map unit line spacing value and the scale forces the line spacing to effectively disappear, the
symbology fails to render, and the following QPainter warnings are printed in the terminal:

Warning: QPainter::
Warning: QPainter::
Warning: QPainter::
Warning: QPainter::
Warning: QPainter::
Warning: QPainter::
Warning: QPainter::
Warning: QPainter::
Warning: QPainter::

Steps to reproduce

begin: Paint device returned engine == 0, type: 3
setRenderHint: Painter must be active to set rendering hints
setPen: Painter not active

setBrush: Painter not active

drawPath: Painter not active

setPen: Painter not active

setBrush: Painter not active

drawPath: Painter not active

end: Painter not active, aborted

1. Launch QGIS within a terminal to be able to see messages output there

2. Open the attached test project (gpainter_warnings.qgs)

3. Gradually zoom out the canvas, until you see the line pattern fill fail to render
4. Go to the terminal window, you'll see the QPainter warning

Associated revisions

Revision 3212d393 - 2016-10-20 08:23 AM - Mathieu Pellerin - nIRV

[symbology] prevent creation of a zero width/height line pattern image (fixes #15728)

Revision 3bdc77d3 - 2016-10-20 08:46 AM - Nyall Dawson

Merge pull request #3645 from nirvn/linefillpattern_fix

[symbology] prevent creation of a zero width/height line pattern image (fixes #15728)

History

#1 - 2016-10-19 11:27 PM - Mathieu Pellerin - nIRV
- Pull Request or Patch supplied changed from No to Yes

- Assignee set to Mathieu Pellerin - nIRV

2024-04-10

12




PR submitted (https://github.com/qgis/QGIS/pull/3645).

#2 - 2016-10-19 11:45 PM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"3bdc77d3daa4257¢926932204f4a9340084788a".

Files

gpainter_warnings.zip 6.22 KB
